
/*************************************************
****   VEGA - Interaction energy calculation  ****
**** Copyright 1996-2002, Alessandro Pedretti ****
*************************************************/


/**** Constants ****/

#define  CVFF_PAR	"CVFF.par"
#define  CONV_COUL      332.0

/**** Structures ****/

typedef struct {
  ATOMO       *InizRes;	        /* Pointer to first residue atom */
  float       C;		/* Coulombic energy              */
  float       NB;		/* Lennard-Johnes energy         */
} VG_INTENE;

/**** Prototypes ****/

#  ifdef __cplusplus
extern "C" {
#  endif
VG_BOOL CalcEnerCVFF(FILE *, ATOMO *, VG_ULONG, VG_LONG, VG_LONG,
                     VG_INTENE **, float *);
#  ifdef __cplusplus
}
#  endif

